.ContactPage {
    text-align: center
}

.ContactPage a {
    text-decoration: none;
    text-transform: uppercase;
    padding-bottom: 2px;
    color: yellow;
    border-bottom: 10px solid rgba(0, 255, 255, 0);
    border: none;
    font-size: 1.1em;
    letter-spacing: 2px;
    font-weight: bold;
    text-shadow: none;
    display: inline-block;

    background: linear-gradient(336deg, red, yellow);
    background-size: 0 3px;
    background-repeat: no-repeat;
    background-position: left 100%;

    transition: background-size 300ms cubic-bezier(0.215, 0.61, 0.355, 1),
        color 300ms cubic-bezier(0.215, 0.61, 0.355, 1);
}

.ContactPage a:hover,
.ContactPage a:focus,
.ContactPage a:active {
    color: white;
    text-decoration: none;
    background-size: calc(100% - 2px) 3px;
}

.ContactIntro {
    
}